


	var PROPERTY_REC_JORDER_ID = 0;
	var PROPERTY_REC_JORDER_CODE = '';


	var JOB_ORDER_DGV = null;
	var JOB_ORDER_TASK_DGV = null;

	var TAKE_BBI = null;
	var SEARCH_BBI = null;

	function FORM_INITIALIZE()
	{	
		// Initialize: Ribbon Buttons [Save Changes]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("TAKE_BBI"))
		{
    		TAKE_BBI = JSOC_ELEMENT.VAR_GET("TAKE_BBI");     
			if(JSVC_VAR.VAR_ISSET(HTTP_SAVE))
			{
				// Prepare Save callback
				var CALLBACK_HANDLER = 
					function(IS_SUCCESS)
					{
						// Abort on failure
						if(IS_SUCCESS == false)
						{
							return;
						}
					
						// Show record saved messageBox
						JSVC_INFO.VAR_RECORD_SAVED('');

						HTTP_SEARCH();
					}
				
				// Add OnClick event
				TAKE_BBI.onclick = 
					function()
					{
						HTTP_SAVE(CALLBACK_HANDLER);
					}
			}
		}

		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_BBI"))
		{
			SEARCH_BBI = JSOC_ELEMENT.VAR_GET("SEARCH_BBI");
			SEARCH_BBI.onclick = function(){HTTP_SEARCH()};
		}
	}
